commit:     133a12141fcc7cf9a45b3777c70eff4708d2fa48
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  9 16:33:14 2026 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Fri Jan  9 16:52:05 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=133a1214

dev-db/etcd: Rework and allow networked tests in 3.5.26

We only need to run the unit tests. All that sed seems unnecessary now.

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 dev-db/etcd/etcd-3.5.26.ebuild | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

diff --git a/dev-db/etcd/etcd-3.5.26.ebuild b/dev-db/etcd/etcd-3.5.26.ebuild
index 142cc8e78642..38876b8f3b9c 100644
--- a/dev-db/etcd/etcd-3.5.26.ebuild
+++ b/dev-db/etcd/etcd-3.5.26.ebuild
@@ -24,23 +24,19 @@ DEPEND="${COMMON_DEPEND}"
 RDEPEND="${COMMON_DEPEND}"
 
 # Unit tests attempt to download go modules.
+PROPERTIES="test_network"
 RESTRICT="test"
 
 src_prepare() {
-       export FORCE_HOST_GO=1 GO_BUILD_FLAGS="-v -x"
        default
-       sed -e "s|GIT_SHA=.*|GIT_SHA=${GIT_COMMIT}|" \
-               -i "${S}"/build.sh || die
-       sed -e 's:\(for p in \)shellcheck :\1 :' \
-               -e 's:^      goword \\$:\\:' \
-               -e 's:^      gofmt \\$:\\:' \
-               -e 's:^      govet \\$:\\:' \
-               -e 's:^      revive \\$:\\:' \
-               -e 's:^      mod_tidy \\$:\\:' \
-               -e 
"s|GO_BUILD_FLAGS=\"[^\"]*\"|GO_BUILD_FLAGS=\"${GO_BUILD_FLAGS}\"|" \
-               -e "s|go test |go test ${GO_BUILD_FLAGS} |" \
-               -e 's|PASSES=${PASSES:-"fmt bom dep build 
unit"}|PASSES=${PASSES:-"fmt dep unit"}|' \
-               -i ./test.sh || die
+       sed -i "s|GIT_SHA=.*|GIT_SHA=${GIT_COMMIT}|" build.sh || die
+
+       # Don't test these as they are not built.
+       find tools/ -name "*_test.go" -delete || die
+}
+
+src_configure() {
+       export FORCE_HOST_GO=1 GO_BUILD_FLAGS="-v -x"
 }
 
 src_compile() {
@@ -48,7 +44,7 @@ src_compile() {
 }
 
 src_test() {
-       ./test || die
+       PASSES="unit" ./test.sh -v || die
 }
 
 src_install() {

Reply via email to